# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:02 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BaseCalc
Summary:	Math::BaseCalc Perl module - Convert numbers between various bases
Summary(pl):	Modu Perla Math::BaseCalc - konwertujcy liczby pomidzy systemami
Name:		perl-Math-BaseCalc
Version:	1.011
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module facilitates the conversion of numbers between various
number bases. You may define your own digit sets, or use any of
several predefined digit sets.

%description -l pl
Ten modu uatwia przeliczanie liczb pomidzy rnymi systemami. Mona
zdefiniowa wasne zestawy cyfr lub uy dowolnego z kilku
predefiniowanych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Math/BaseCalc.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Math-BaseCalc.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:02  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:18  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/06 20:57:23  qboosh
- new

